For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/affiliate/customs

patch

Update custom fields for a specific affiliate

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
loginidanyRequired
custom1anyOptional
custom2anyOptional
custom3anyOptional
custom4anyOptional
custom5anyOptional
Responses
200

success

successbooleanOptionalExample: true
patch/api/affiliate/customs
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'loginid' => '3',
		'custom1' => 'custom field 1',
		'custom2' => 'custom field 2',
		'custom3' => 'custom field 3',
		'custom4' => 'custom field 4',
		'custom5' => 'custom field 5'
	);

$request = array(
	'method' => 'PATCH',
	'path' => 'affiliate/customs',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "result": 1,
  "success": true
}

Last updated

Was this helpful?